astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Astroquery query (`astroquery.query`) »
- BaseQuery

# BaseQuery

class astroquery.query.BaseQuery

  Bases: `object`

  This is the base class for all the query classes in astroquery. It is implemented as an abstract class and must not be directly instantiated.

  Attributes Summary

  `cache_location` |

  Methods Summary

  `__call__`(*args, **kwargs) | init a fresh copy of self
  `clear_cache`() | Removes all cache files.
  `reset_cache_location`() | Resets the cache location to the default astropy cache

  Attributes Documentation

  cache_location

  Methods Documentation

  __call__(*args, **kwargs)

    init a fresh copy of self

  clear_cache()

    Removes all cache files.

  reset_cache_location()

    Resets the cache location to the default astropy cache